/*
 * NotOnSurfaceException.hpp
 *
 *  Created on: Jul 14, 2010
 *      Author: crueger
 */

#ifndef NOTONSURFACEEXCEPTION_HPP_
#define NOTONSURFACEEXCEPTION_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include "Exceptions/ShapeException.hpp"

class NotOnSurfaceException : public ShapeException
{
public:
  NotOnSurfaceException(std::string _file, int _line);
  virtual ~NotOnSurfaceException() throw();

  virtual const char* what() const throw();
};

#endif /* NOTONSURFACEEXCEPTION_HPP_ */
